Version bump.
authoryselkowitz <yselkowitz@e127d73d-b18e-4ae1-a744-a22e6a3ccd30>
Sun, 11 Mar 2007 03:20:58 +0000 (03:20 +0000)
committeryselkowitz <yselkowitz@e127d73d-b18e-4ae1-a744-a22e6a3ccd30>
Sun, 11 Mar 2007 03:20:58 +0000 (03:20 +0000)
git-svn-id: https://cygwin-ports.svn.sourceforge.net/svnroot/cygwin-ports/ports/trunk@1046 e127d73d-b18e-4ae1-a744-a22e6a3ccd30

README
devel.hint
lib.hint
setup.hint

diff --git a/README b/README
index ccdf8b4950cad04cffe0c5e93b2ded7bb3121891..9bfea0edf3f164055e3d6069b522c84dabe1f2ff 100644 (file)
--- a/README
+++ b/README
@@ -7,25 +7,25 @@ GPGME provides a high-level crypto API for encryption, decryption,
 signing, signature verification and key management.
 
 Runtime requirements:
-  cygwin-1.5.21-2
-  gnupg-1.4.5-1
-  libgpg-error-1.1-1
+  cygwin-1.5.24-2
+  gnupg
+  libgpg-error0-1.5-1
 
 Build requirements:
 (besides corresponding -devel packages)
-  cygwin-1.5.21-2
-  autoconf2.5-2.60-1
+  cygwin-1.5.24-2
+  autoconf2.5-2.61-1
   automake1.9-1.9.6-1
   binutils-20060817-1
-  cygport-0.2.6-1
-  gawk-3.1.5-2
-  gcc-core-3.4.4-1
-  libtool1.5-1.5.23a-1
+  cygport-0.2.11-1
+  gawk-3.1.5-4
+  gcc-core-3.4.4-3
+  libtool1.5-1.5.23a-2
   make-3.81-1
-  sed-4.1.5-1
+  sed-4.1.5-2
 
 Canonical homepage:
-  http://www.gnupg.org/(en)/related_software/gpgme/
+  http://www.gnupg.org/related_software/gpgme/
 
 Canonical download:
   ftp://ftp.gnupg.org/gcrypt/gpgme/
@@ -33,17 +33,17 @@ Canonical download:
 -------------------------------------------
 
 Build instructions:
-  unpack gpgme-1.0.3-1-src.tar.bz2
+  unpack gpgme-1.1.4-X-src.tar.bz2
     if you use setup to install this src package, it will be
         unpacked under /usr/src automatically
   cd /usr/src
-  cygport ./gpgme-1.0.3-1.cygport all
+  cygport ./gpgme-1.1.4-X.cygport all
 
 This will create:
-  /usr/src/gpgme-1.0.3-1-src.tar.bz2
-  /usr/src/gpgme-1.0.3-1.tar.bz2
-  /usr/src/libgpgme-devel-1.0.3-1.tar.bz2
-  /usr/src/libgpgme11-1.0.3-1.tar.bz2
+  /usr/src/gpgme-1.1.4-X-src.tar.bz2
+  /usr/src/gpgme-1.1.4-X.tar.bz2
+  /usr/src/libgpgme-devel-1.1.4-X.tar.bz2
+  /usr/src/libgpgme11-1.1.4-X.tar.bz2
 
 -------------------------------------------
 
@@ -51,15 +51,18 @@ Files included in the binary packages:
 
 (gpgme)
   /etc/postinstall/gpgme.sh
-  /usr/share/doc/Cygwin/gpgme-1.1.2.README
-  /usr/share/doc/gpgme-1.1.2/AUTHORS
-  /usr/share/doc/gpgme-1.1.2/COPYING
-  /usr/share/doc/gpgme-1.1.2/ChangeLog
-  /usr/share/doc/gpgme-1.1.2/INSTALL
-  /usr/share/doc/gpgme-1.1.2/NEWS
-  /usr/share/doc/gpgme-1.1.2/README
-  /usr/share/doc/gpgme-1.1.2/THANKS
-  /usr/share/doc/gpgme-1.1.2/TODO
+  /usr/share/common-lisp/source/gpgme/gpgme-package.lisp
+  /usr/share/common-lisp/source/gpgme/gpgme.asd
+  /usr/share/common-lisp/source/gpgme/gpgme.lisp
+  /usr/share/doc/Cygwin/gpgme-1.1.4.README
+  /usr/share/doc/gpgme-1.1.4/AUTHORS
+  /usr/share/doc/gpgme-1.1.4/COPYING
+  /usr/share/doc/gpgme-1.1.4/ChangeLog
+  /usr/share/doc/gpgme-1.1.4/INSTALL
+  /usr/share/doc/gpgme-1.1.4/NEWS
+  /usr/share/doc/gpgme-1.1.4/README
+  /usr/share/doc/gpgme-1.1.4/THANKS
+  /usr/share/doc/gpgme-1.1.4/TODO
   /usr/share/info/gpgme.info.gz
 
 (libgpgme11)
@@ -68,7 +71,7 @@ Files included in the binary packages:
 
 (libgpgme-devel)
   /usr/bin/gpgme-config
-  /usr/include/gpgme-1.0/gpgme.h
+  /usr/include/gpgme.h
   /usr/lib/libgpgme-pthread.dll.a
   /usr/lib/libgpgme-pthread.la
   /usr/lib/libgpgme.dll.a
@@ -79,6 +82,9 @@ Files included in the binary packages:
 
 Port Notes:
 
+----- version 1.1.4-1 -----
+Version bump.
+
 ----- version 1.1.2-1 -----
 Version bump.  Created separate development packages.
 
index d10b709322f906f7dfdaa8b765b9a267362eafce..8bd31f175dd64bf66e78c8cdf0e44112d790a120 100644 (file)
@@ -1,5 +1,6 @@
 category: Libs
-requires: cygwin libgpg-error
+requires: cygwin libgpg-error-devel
+external-source: gpgme
 sdesc: "GnuPG cryptography support library (development)"
 ldesc: "GPGME  (GnuPG Made Easy) is a C language library that allows to 
 add support for cryptography to a program. It is designed to make 
index 58c47e8fe0397396eefac5159c8b5f12dc340b77..be12f0509356c10c27ea9ad83e69abaa9c335729 100644 (file)
--- a/lib.hint
+++ b/lib.hint
@@ -1,5 +1,6 @@
 category: Libs
-requires: cygwin gnupg libgpg-error
+requires: cygwin gnupg libgpg-error0
+external-source: gpgme
 sdesc: "GnuPG cryptography support library (runtime)"
 ldesc: "GPGME  (GnuPG Made Easy) is a C language library that allows to 
 add support for cryptography to a program. It is designed to make 
index 10dba56ca29e18c1dcc4c54e516ed04b67ad2672..494fc33f79fc4f32ebc8c552817791a8dac493fe 100644 (file)
@@ -1,5 +1,4 @@
 category: Libs
-requires: libgpgme-devel
 sdesc: "GnuPG cryptography support library (documentation)"
 ldesc: "GPGME  (GnuPG Made Easy) is a C language library that allows to 
 add support for cryptography to a program. It is designed to make 
This page took 0.039329 seconds and 5 git commands to generate.